// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/ActiveDiagnosticsCollector.h 977 2018-10-31 09:29:27Z depa $
#pragma once

#include "util/SharedPtr.h"

namespace Sharknir {
  namespace Bcu {

    class ActiveDiagnosticsCollector
    {
    public:
      virtual void start()= 0;
      virtual void terminate()= 0;
      virtual bool isAlive()= 0;

      virtual ~ActiveDiagnosticsCollector()= 0;
    };

    SHARKNIR_DECLARE_BOOST_SP(ActiveDiagnosticsCollector);
}
}
